class TableEntry
	include Mongoid::Document
	include Mongoid::Timestamps
	include Slug

	has_many :column_entries, :dependent => :destroy
	belongs_to :u_table

	accepts_nested_attributes_for :column_entries, :allow_destroy => true
end