class TableColumn
	include Mongoid::Document
	include Mongoid::Timestamps

	field :key
	field :title, localize: true
	field :display_in_index, type: Boolean, default: true
	field :type
	field :date_format, default: "YYYY/MM/DD"
	field :is_link_to_show, type: Boolean, default: false
	field :order, type: Integer
	field :make_categorizable, type: Boolean, default: false

	belongs_to :u_table

	has_many :column_entries, :dependent => :destroy
end